-module(log_sup).
-behaviour(supervisor).

-export([start_link/2]).
-export([init/1]).

start_link(File, ErrorRegex) ->
    supervisor:start_link(?MODULE, [File, ErrorRegex]).

init([File, ErrorRegex]) ->
    SupFlags = #{strategy => one_for_one},
    ChildSpecs = [#{
                     id => gatherer,
                     start => {gatherer, start_link, [File, ErrorRegex]},
                     restart => permanent,
                     shutdown => 5000,
                     modules => [gatherer]
                   },
                  #{
                     id => watcher,
                     start => {watcher, start_link, [self(), File]},
                     restart => permanent,
                     shutdown => 5000,
                     modules => [watcher]
                   }],
    {ok, {SupFlags, ChildSpecs}}.
