-module(logfiles_sup).
-behaviour(supervisor).

-export([start_link/0]).
-export([init/1]).
-export([add_child/1, remove_child/1]).

start_link() ->
    supervisor:start_link({local, ?MODULE}, ?MODULE, []).

init([]) ->
    SupFlags = #{
      strategy => one_for_one,
      intensity => 0,
      period => 1
     },
    ChildSpecs = [],
    {ok, {SupFlags, ChildSpecs}}.

add_child(Args = [File, _ErrorRegex]) ->
    supervisor:start_child(
      ?MODULE,
      #{
         id => File,
         start => {log_sup, start_link, Args},
         restart => temporary,
         shutdown => 5000,
         modules => [log_sup]
       }
     ).

remove_child(File) ->
    supervisor:terminate_child(?MODULE, File).
